Get all versions for an automation
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/versions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/versions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"versions": [
{
"id": "<string>",
"version": 123,
"scriptKey": "<string>",
"changelog": "<string>",
"publishedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Task Automations
Get all versions for an automation | Comp AI API
Get all versions for an automation in Comp AI. Create, version, run, and inspect automated evidence collection workflows attached to compliance tasks.
GET
/
v1
/
tasks
/
{taskId}
/
automations
/
{automationId}
/
versions
Get all versions for an automation
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/versions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/versions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"versions": [
{
"id": "<string>",
"version": 123,
"scriptKey": "<string>",
"changelog": "<string>",
"publishedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Authorizations
API key for authentication
Query Parameters
Page size. Omit for every version.
Versions to skip. Omit to start at the newest.
Was this page helpful?

